public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/line_profiler/
Date: Mon,  6 Feb 2017 08:09:53 +0000 (UTC)	[thread overview]
Message-ID: <1486368493.c5749ef3cce4c04c359df5bfaf0dddec71b21b00.soap@gentoo> (raw)

commit:     c5749ef3cce4c04c359df5bfaf0dddec71b21b00
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Mon Feb  6 07:22:39 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Feb  6 08:08:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5749ef3

dev-python/line_profiler: Version bump to 2.0

Package-Manager: portage-2.3.3
Closes: https://github.com/gentoo/gentoo/pull/3784

 dev-python/line_profiler/Manifest                 |  1 +
 dev-python/line_profiler/line_profiler-2.0.ebuild | 29 +++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/line_profiler/Manifest b/dev-python/line_profiler/Manifest
index abe5549..a24fecd 100644
--- a/dev-python/line_profiler/Manifest
+++ b/dev-python/line_profiler/Manifest
@@ -1 +1,2 @@
 DIST line_profiler-1.0.tar.gz 65862 SHA256 a9e0c9ffa814f1215107c86c890afa8e63bec5a37d951f6f9d3668c1df2b1900 SHA512 15dd7ee10951287a5030eaff28e729e82094ec41d8e8dec803d5e44c6b9036ecbf1198365ef43c1fdd28451dec260c6491d118f1762d99fe037bb85eb7908dda WHIRLPOOL 1fd56ea4777a3c569807a124c708018fc77e68521d1f1ecdb13c343ddad3fcd881353cd71a0af36d06a12f1dd17be0f2731040fca5e827a4936298057dabf917
+DIST line_profiler-2.0.tar.gz 68478 SHA256 739f8ad0e4bcd0cb82e99afc09e00a0351234f6b3f0b1f7f0090a8a2fbbf8381 SHA512 c0335fc69fb47c150fa5555af4f7fdf4b172ca12ee6512e04ba854c4a81f3e6ee5594e484d11c8ea7e9e8048e3f3b8661db52332d4ac645195a0e050acea4ecb WHIRLPOOL 6f4a3816fb22c86fe1c691a3e949be41da7680055db5c0909dbfb9af4052cfa50640eca43e0e918e903c23c9e6b8858ebff76e4fa21d8648084ade74f45a2915

diff --git a/dev-python/line_profiler/line_profiler-2.0.ebuild b/dev-python/line_profiler/line_profiler-2.0.ebuild
new file mode 100644
index 00000000..638f08c
--- /dev/null
+++ b/dev-python/line_profiler/line_profiler-2.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Line-by-line profiler"
+HOMEPAGE="https://github.com/rkern/line_profiler"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/ipython[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+	"
+
+python_test() {
+	"${EPYTHON}" -m unittest discover -v "${S}"/tests/ \
+		|| die "Tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2017-02-06  8:09 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-02-06  8:09 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-22 18:29 [gentoo-commits] repo/gentoo:master commit in: dev-python/line_profiler/ Michał Górny
2023-08-22 18:29 Michał Górny
2023-08-17  7:46 Michał Górny
2023-08-06 12:30 Michał Górny
2023-05-04 16:17 Michał Górny
2023-03-04  4:50 Michał Górny
2022-12-10  6:37 Michał Górny
2022-11-16 17:21 Michał Górny
2022-11-14  4:44 Michał Górny
2022-11-13 18:57 Michał Górny
2022-05-16 13:20 Michał Górny
2022-05-16 13:20 Michał Górny
2022-04-01 12:27 Michał Górny
2022-03-23  8:58 Michał Górny
2021-12-30  8:57 Michał Górny
2021-10-17  9:00 Michał Górny
2021-09-24 20:05 Michał Górny
2021-07-01 18:39 Michał Górny
2021-06-05  8:28 Michał Górny
2021-05-01  7:45 Michał Górny
2021-04-30 15:50 Michał Górny
2021-04-23  7:25 Michał Górny
2021-04-23  7:25 Michał Górny
2020-09-15  8:09 Joonas Niilola
2020-03-27 21:06 Michał Górny
2020-02-12  1:55 Benda XU
2020-02-09 12:46 Benda XU
2020-02-09 12:46 Benda XU
2018-06-24 15:24 Pacho Ramos
2018-02-16 18:56 Michał Górny
2018-02-16 18:56 Michał Górny
2017-12-02 20:51 Justin Lecher
2016-08-30 19:07 David Seifert
2015-11-17 15:53 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1486368493.c5749ef3cce4c04c359df5bfaf0dddec71b21b00.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox